org.richfaces.resource

## Class ResourceFactoryImpl

- java.lang.Object
- - org.richfaces.resource.ResourceFactoryImpl

- All Implemented Interfaces:
    org.richfaces.resource.ResourceFactory

      public class ResourceFactoryImpl
      extends Object
      implements org.richfaces.resource.ResourceFactory

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from interface org.richfaces.resource.ResourceFactory

      `DYNAMIC_RESOURCE_MAPPINGS, SKINNED_RESOURCE_PLACEHOLDER, SKINNED_RESOURCE_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceFactoryImpl(javax.faces.application.ResourceHandler defaultHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.application.Resource` | `createDynamicResource(org.richfaces.resource.ResourceKey resourceKey, boolean useDependencyInjection)`
    `protected javax.faces.application.Resource` | `createHandlerDependentResource(org.richfaces.resource.ResourceKey resourceKey, Map<String,String> parameters)` Should be called only if `#isResourceExists(String)` returns `true`
    `javax.faces.application.Resource` | `createResource(javax.faces.context.FacesContext context, org.richfaces.resource.ResourceRequestData resourceData)`
    `protected javax.faces.application.Resource` | `createResource(org.richfaces.resource.Java2DUserResource resource)`
    `javax.faces.application.Resource` | `createResource(String resourceName, String libraryName, String contentType)`
    `protected javax.faces.application.Resource` | `createResource(org.richfaces.resource.UserResource resource)`
    `Collection<org.richfaces.resource.ResourceKey>` | `getMappedDynamicResourceKeys()`
    `protected void` | `injectProperties(Object resource, Map<String,String> parameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceFactoryImpl

          public ResourceFactoryImpl(javax.faces.application.ResourceHandler defaultHandler)

  - ### Method Detail

    - #### injectProperties

          protected void injectProperties(Object resource,
                              Map<String,String> parameters)

    - #### createHandlerDependentResource

          protected javax.faces.application.Resource createHandlerDependentResource(org.richfaces.resource.ResourceKey resourceKey,
                                                                        Map<String,String> parameters)

      Should be called only if `#isResourceExists(String)` returns `true`
      Parameters:
        `resourceKey` -
        `parameters` -
      Returns:

    - #### createResource

          public javax.faces.application.Resource createResource(javax.faces.context.FacesContext context,
                                                        org.richfaces.resource.ResourceRequestData resourceData)

      Specified by:
        `createResource` in interface `org.richfaces.resource.ResourceFactory`

    - #### createResource

          public javax.faces.application.Resource createResource(String resourceName,
                                                        String libraryName,
                                                        String contentType)

      Specified by:
        `createResource` in interface `org.richfaces.resource.ResourceFactory`

    - #### createDynamicResource

          protected javax.faces.application.Resource createDynamicResource(org.richfaces.resource.ResourceKey resourceKey,
                                                               boolean useDependencyInjection)

    - #### getMappedDynamicResourceKeys

          public Collection<org.richfaces.resource.ResourceKey> getMappedDynamicResourceKeys()

      Specified by:
        `getMappedDynamicResourceKeys` in interface `org.richfaces.resource.ResourceFactory`

    - #### createResource

          protected javax.faces.application.Resource createResource(org.richfaces.resource.Java2DUserResource resource)

    - #### createResource

          protected javax.faces.application.Resource createResource(org.richfaces.resource.UserResource resource)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.